function hw41

% parameters
n = 11;
V = 50;
k = 1;

% derived quantities
x = linspace(0,10,n).';
h = x(2) - x(1);

Pe = V*h / (2*k);
aopt = coth(abs(Pe)) - 1/Pe;

% loop through alpha values
for a = [0 aopt 1],
   % get stiffness matrix
   [M, K] = heatGlobal(x, V, k, a);

   % no force
   F = zeros(size(x));

   % add boundary conditions
   % u(0) = 0
   F = F - K(:,1) * 0;
   F(1,:) = [];
   K(1,:) = [];
   K(:,1) = [];
   
   % u(10) = 1
   F = F - K(:,end) * 1;
   F(end,:) = [];
   K(end,:) = [];
   K(:,end) = [];
   
   % solve and add back BC
   t = [0; K\F; 1];

   plot(x, t);
   title(sprintf('alpha = %d', a));
   xlabel('x'), ylabel('temp');
   pause;
end