(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     59481,       2319]*)
(*NotebookOutlinePosition[     60192,       2344]*)
(*  CellTagsIndexPosition[     60148,       2340]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[
    \(Off[NIntegrate::ploss]\)], "Input"],

Cell[BoxData[
    \(\(h = \[Pi] - \@2; \)\)], "Input"],

Cell[BoxData[
    \(n[x_] := Max[1 - Abs[x]/h, 0]; \n
    w[x_] := If[Abs[x] < h, \ \(-Sign[x]\)/2, \ 0]; \)], "Input"],

Cell["w is scaled by a sign(V)", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[{n[x], w[x]}, {x, \(-3\) h, 3  h}]; \)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.0918908 0.211198 0.392967 [
[.13244 .1987 -6 -9 ]
[.13244 .1987 6 0 ]
[.31622 .1987 -6 -9 ]
[.31622 .1987 6 0 ]
[.68378 .1987 -3 -9 ]
[.68378 .1987 3 0 ]
[.86756 .1987 -3 -9 ]
[.86756 .1987 3 0 ]
[.4875 .05401 -24 -4.5 ]
[.4875 .05401 0 4.5 ]
[.4875 .13261 -24 -4.5 ]
[.4875 .13261 0 4.5 ]
[.4875 .28979 -18 -4.5 ]
[.4875 .28979 0 4.5 ]
[.4875 .36839 -18 -4.5 ]
[.4875 .36839 0 4.5 ]
[.4875 .44698 -18 -4.5 ]
[.4875 .44698 0 4.5 ]
[.4875 .52557 -18 -4.5 ]
[.4875 .52557 0 4.5 ]
[.4875 .60417 -6 -4.5 ]
[.4875 .60417 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
.13244 .2112 m
.13244 .21745 L
s
[(-4)] .13244 .1987 0 1 Mshowa
.31622 .2112 m
.31622 .21745 L
s
[(-2)] .31622 .1987 0 1 Mshowa
.68378 .2112 m
.68378 .21745 L
s
[(2)] .68378 .1987 0 1 Mshowa
.86756 .2112 m
.86756 .21745 L
s
[(4)] .86756 .1987 0 1 Mshowa
.125 Mabswid
.17838 .2112 m
.17838 .21495 L
s
.22433 .2112 m
.22433 .21495 L
s
.27027 .2112 m
.27027 .21495 L
s
.36216 .2112 m
.36216 .21495 L
s
.40811 .2112 m
.40811 .21495 L
s
.45405 .2112 m
.45405 .21495 L
s
.54595 .2112 m
.54595 .21495 L
s
.59189 .2112 m
.59189 .21495 L
s
.63784 .2112 m
.63784 .21495 L
s
.72973 .2112 m
.72973 .21495 L
s
.77567 .2112 m
.77567 .21495 L
s
.82162 .2112 m
.82162 .21495 L
s
.08649 .2112 m
.08649 .21495 L
s
.04055 .2112 m
.04055 .21495 L
s
.91351 .2112 m
.91351 .21495 L
s
.95945 .2112 m
.95945 .21495 L
s
.25 Mabswid
0 .2112 m
1 .2112 L
s
.5 .05401 m
.50625 .05401 L
s
[(-0.4)] .4875 .05401 1 0 Mshowa
.5 .13261 m
.50625 .13261 L
s
[(-0.2)] .4875 .13261 1 0 Mshowa
.5 .28979 m
.50625 .28979 L
s
[(0.2)] .4875 .28979 1 0 Mshowa
.5 .36839 m
.50625 .36839 L
s
[(0.4)] .4875 .36839 1 0 Mshowa
.5 .44698 m
.50625 .44698 L
s
[(0.6)] .4875 .44698 1 0 Mshowa
.5 .52557 m
.50625 .52557 L
s
[(0.8)] .4875 .52557 1 0 Mshowa
.5 .60417 m
.50625 .60417 L
s
[(1)] .4875 .60417 1 0 Mshowa
.125 Mabswid
.5 .07366 m
.50375 .07366 L
s
.5 .09331 m
.50375 .09331 L
s
.5 .11296 m
.50375 .11296 L
s
.5 .15225 m
.50375 .15225 L
s
.5 .1719 m
.50375 .1719 L
s
.5 .19155 m
.50375 .19155 L
s
.5 .23085 m
.50375 .23085 L
s
.5 .2505 m
.50375 .2505 L
s
.5 .27014 m
.50375 .27014 L
s
.5 .30944 m
.50375 .30944 L
s
.5 .32909 m
.50375 .32909 L
s
.5 .34874 m
.50375 .34874 L
s
.5 .38803 m
.50375 .38803 L
s
.5 .40768 m
.50375 .40768 L
s
.5 .42733 m
.50375 .42733 L
s
.5 .46663 m
.50375 .46663 L
s
.5 .48628 m
.50375 .48628 L
s
.5 .50592 m
.50375 .50592 L
s
.5 .54522 m
.50375 .54522 L
s
.5 .56487 m
.50375 .56487 L
s
.5 .58452 m
.50375 .58452 L
s
.5 .03436 m
.50375 .03436 L
s
.5 .01472 m
.50375 .01472 L
s
.25 Mabswid
.5 0 m
.5 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .2112 m
.06244 .2112 L
.10458 .2112 L
.14415 .2112 L
.18221 .2112 L
.22272 .2112 L
.26171 .2112 L
.28158 .2112 L
.30316 .2112 L
.31323 .2112 L
.32392 .2112 L
.33304 .2112 L
.33554 .2112 L
.33823 .2112 L
.33953 .2112 L
.34076 .2112 L
.34187 .21269 L
.34309 .21569 L
.38373 .31632 L
.42286 .41319 L
.46444 .51614 L
.47459 .54126 L
.48531 .5678 L
.49446 .59046 L
.49697 .59666 L
.49835 .60008 L
.49966 .60332 L
.50087 .602 L
.5022 .59873 L
.50451 .593 L
.54306 .49756 L
.58384 .3966 L
.62311 .29939 L
.6428 .25063 L
.65143 .22928 L
.65379 .22343 L
.65631 .21718 L
.65754 .21415 L
.65869 .21129 L
.65973 .2112 L
.66086 .2112 L
.67028 .2112 L
.68021 .2112 L
.70106 .2112 L
.74198 .2112 L
.78138 .2112 L
.81927 .2112 L
.85961 .2112 L
.89843 .2112 L
.93971 .2112 L
Mistroke
.97619 .2112 L
Mfstroke
.02381 .2112 m
.06244 .2112 L
.10458 .2112 L
.14415 .2112 L
.18221 .2112 L
.22272 .2112 L
.26171 .2112 L
.28158 .2112 L
.30316 .2112 L
.31323 .2112 L
.32392 .2112 L
.33304 .2112 L
.33554 .2112 L
.33823 .2112 L
.33953 .2112 L
.34076 .2112 L
.34187 .40768 L
.34309 .40768 L
.38373 .40768 L
.42286 .40768 L
.44283 .40768 L
.46444 .40768 L
.47459 .40768 L
.48531 .40768 L
.49446 .40768 L
.49697 .40768 L
.49835 .40768 L
.49966 .40768 L
.50087 .01472 L
.5022 .01472 L
.50451 .01472 L
.54529 .01472 L
.58456 .01472 L
.62231 .01472 L
.64165 .01472 L
.64696 .01472 L
.65254 .01472 L
.65484 .01472 L
.6573 .01472 L
.65803 .01472 L
.65871 .01472 L
.66 .2112 L
.6612 .2112 L
.66251 .2112 L
.70343 .2112 L
.74283 .2112 L
.78072 .2112 L
.82106 .2112 L
.85988 .2112 L
.90116 .2112 L
Mistroke
.94092 .2112 L
.97619 .2112 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/A000`40O003h00OSgoo00<007ooOol0
SWoo002?Ool00`00Oomoo`2>Ool008moo`03001oogoo08ioo`00Sgoo00<007ooOol0SWoo002?Ool^
001SOol008moo`03001oogoo02Yoo`03001oogoo065oo`00Sgoo00<007ooOol0:Woo00<007ooOol0
HGoo002?Ool00`00Oomoo`0ZOol00`00Oomoo`1QOol008moo`03001oogoo02Yoo`03001oogoo065o
o`00Sgoo0P00:goo00<007ooOol0HGoo002?Ool00`00Oomoo`0ZOol00`00Oomoo`1QOol008moo`03
001oogoo02Yoo`03001oogoo065oo`00Sgoo00<007ooOol0:Woo00<007ooOol0HGoo001nOol00`00
Oomoo`02Ool00`00Oomoo`02Ool30004Ool00`00Oomoo`0ZOol00`00Oomoo`1QOol007eoo`03001o
o`0000Uoo`03001oogoo00=oo`03001oogoo02Yoo`03001oogoo065oo`00N7oo0`000Woo00<007oo
00001goo100017oo0`00:Woo00<007ooOol0HGoo001mOol00`00Ool00007Ool00`00Ool00005Ool0
0`00Oomoo`0ZOol00`00Oomoo`1QOol007eoo`03001oo`0000Qoo`8000Eoo`03001oogoo02Yoo`03
001oogoo065oo`00OWoo00<007ooOol027oo00<007ooOol00goo00<007ooOol0:Woo00<007ooOol0
HGoo002?Ool00`00Oomoo`0ZOol00`00Oomoo`1QOol008moo`03001oogoo02Yoo`03001oogoo065o
o`00Sgoo0P00:goo00<007ooOol0HGoo002?Ool00`00Oomoo`0ZOol00`00Oomoo`1QOol008moo`03
001oogoo02Yoo`03001oogoo065oo`00Sgoo00<007ooOol0:Woo00<007ooOol0HGoo002?Ool00`00
Oomoo`0ZOol00`00Oomoo`1QOol008moo`8002]oo`03001oogoo065oo`00Sgoo00<007ooOol0:Woo
00<007ooOol0HGoo002?Ool00`00Oomoo`0ZOol00`00Oomoo`1QOol008moo`03001oogoo02Yoo`03
001oogoo065oo`00Sgoo00<007ooOol0:Woo00<007ooOol0HGoo002?Ool00`00Oomoo`0ZOol00`00
Oomoo`1QOol008moo`8002]oo`03001oogoo065oo`00Sgoo00<007ooOol0:goo00<007ooOol0H7oo
002?Ool00`00Oomoo`0[Ool00`00Oomoo`1POol007ioo`03001oogoo009oo`04001oogooOol30005
Ool00`00Oomoo`0[Ool00`00Oomoo`1POol007eoo`03001oo`0000Moo`03001oogoo00Eoo`03001o
ogoo02]oo`03001oogoo061oo`00N7oo0`000Woo00<007oo000027oo00<007ooOol017oo0`00:goo
00<007ooOol0H7oo001mOol00`00Ool00008Ool00`00Oomoo`04Ool00`00Oomoo`0[Ool00`00Oomo
o`1POol007eoo`03001oo`0000Moo`03001oo`0000Eoo`03001oogoo02]oo`03001oogoo061oo`00
OWoo00<007ooOol01goo00<007ooOol017oo00<007ooOol0:goo00<007ooOol0H7oo002?Ool00`00
Oomoo`0[Ool00`00Oomoo`1POol008moo`03001oogoo02]oo`03001oogoo061oo`00Sgoo0P00;7oo
00<007ooOol0H7oo002?Ool00`00Oomoo`0[Ool00`00Oomoo`1POol008moo`03001oogoo02]oo`03
001oogoo061oo`00Sgoo00<007ooOol0:goo00<007ooOol0H7oo002?Ool00`00Oomoo`0[Ool00`00
Oomoo`1POol002Qoo`<0035oo`<0031oo`03001oogoo02]oo`03001oogoo009oo`<0039oo`<002Io
o`00:Goo00<007ooOol0<7oo00<007ooOol0<7oo0P00;7oo00<007ooOol00Woo00<007ooOol0<goo
00<007ooOol09Goo000ROol30002Ool4000/Ool30003Ool00`00Oomoo`0_Ool00`00Oomoo`0[Ool0
0`00Oomoo`03Ool00`00Oomoo`0`Ool4000VOol002Moo`03001oo`0003=oo`03001oogoo02moo`03
001oogoo02]oo`03001oogoo00=oo`03001oogoo031oo`03001oo`0002Moo`00:7oo0P00<Woo00<0
07oo0000<7oo00<007ooOol0:goo00<007ooOol00Woo00<007oo0000<Woo0P009goo000YOol00`00
Oomoo`0aOol00`00Oomoo`0_Ool00`00Oomoo`0[Ool00`00Oomoo`03Ool00`00Oomoo`0bOol00`00
Oomoo`0UOol008moo`8002aoo`03001oogoo061oo`00Sgoo00<007ooOol0:goo00<007ooOol0H7oo
002?Ool00`00Oomoo`0[Ool00`00Oomoo`1POol008moo`03001oogoo02]oo`03001oogoo061oo`00
Sgoo00<007ooOol0:goo00<007ooOol0H7oo002?Ool00`00Oomoo`0[Ool00`00Oomoo`1POol00?l0
0200005oo`0037oo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Woo
00<007ooOol02Woo00<007ooOol02goo00<007ooOol017oo00<007ooOol00goo00<007ooOol02Woo
00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Woo
00<007ooOol00goo00<007ooOol017oo00<007ooOol02goo00<007ooOol02Woo00<007ooOol02Woo
00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02goo000VOol00`00Oomo
o`0bOol00`00Oomoo`04Ool00`00Oomoo`0ZOol00`00Oomoo`0ZOol00`00Oomoo`04Ool00`00Oomo
o`0bOol00`00Oomoo`0UOol0069oo`8002]oo`03001oogoo02Uoo`03001oogoo069oo`00HWoo0P00
:goo00<007ooOol0:7oo00<007ooOol0Hgoo001ROol00`00Ool0000ZOol2000YOol00`00Oomoo`1S
Ool0069oo`03001oo`0002Yoo`03001oogoo02Qoo`03001oogoo06=oo`00HWoo00<007oo0000:Woo
00<007ooOol09goo00<007ooOol0I7oo001ROol01000Oomoo`00:Goo00<007ooOol09goo00<007oo
Ool0I7oo001ROol01000Oomoo`00:Goo00<007ooOol09goo00<007ooOol0I7oo001ROol01@00Oomo
ogoo0000:7oo00<007ooOol09Woo00<007ooOol0IGoo001ROol01@00Oomoogoo0000:7oo0P009goo
00<007ooOol0IGoo001ROol00`00Oomoo`02Ool00`00Oomoo`0UOol00`00Oomoo`0VOol00`00Oomo
o`1UOol0069oo`03001oogoo009oo`03001oogoo02Eoo`03001oogoo02Eoo`03001oogoo06Ioo`00
HWoo00<007ooOol00Woo00<007ooOol09Goo00<007ooOol09Goo00<007ooOol0IWoo001ROol00`00
Oomoo`03Ool00`00Oomoo`0TOol00`00Oomoo`0TOol00`00Oomoo`1WOol0069oo`03001oogoo00=o
o`03001oogoo02Aoo`03001oogoo02Aoo`03001oogoo06Moo`00HWoo00<007ooOol017oo00<007oo
Ool08goo0P0097oo00<007ooOol0J7oo001ROol00`00Oomoo`04Ool00`00Oomoo`0SOol00`00Oomo
o`0SOol00`00Oomoo`1XOol0069oo`03001oogoo00Aoo`03001oogoo02=oo`03001oogoo02=oo`03
001oogoo06Qoo`00HWoo00<007ooOol01Goo00<007ooOol04Goo00<007ooOol00Woo00@007ooOomo
o`<000Eoo`03001oogoo029oo`03001oogoo06Uoo`00HWoo00<007ooOol01Goo00<007ooOol047oo
00<007oo00001goo00<007ooOol01Goo00<007ooOol08Woo00<007ooOol0JGoo001ROol00`00Oomo
o`06Ool00`00Oomoo`0?Ool00`00Ool00008Ool00`00Oomoo`04Ool3000QOol00`00Oomoo`1ZOol0
069oo`03001oogoo00Ioo`03001oogoo00moo`03001oo`0000Qoo`03001oogoo00Aoo`03001oogoo
025oo`03001oogoo06Yoo`00HWoo00<007ooOol01goo00<007ooOol03Woo00<007oo00001goo00<0
07oo00001Goo00<007ooOol087oo00<007ooOol0Jgoo001ROol00`00Oomoo`07Ool00`00Oomoo`0?
Ool00`00Oomoo`07Ool00`00Oomoo`04Ool00`00Oomoo`0POol00`00Oomoo`1[Ool0069oo`03001o
ogoo00Moo`03001oogoo021oo`03001oogoo021oo`03001oogoo06]oo`00HWoo00<007ooOol027oo
00<007ooOol07goo00<007ooOol07goo00<007ooOol0K7oo001ROol00`00Oomoo`08Ool00`00Oomo
o`0OOol2000POol00`00Oomoo`1/Ool0069oo`03001oogoo00Uoo`03001oogoo01ioo`03001oogoo
01ioo`03001oogoo06eoo`00HWoo00<007ooOol02Goo00<007ooOol07Woo00<007ooOol07Woo00<0
07ooOol0KGoo001ROol00`00Oomoo`09Ool00`00Oomoo`0NOol00`00Oomoo`0NOol00`00Oomoo`1]
Ool0069oo`03001oogoo00Yoo`03001oogoo01eoo`03001oogoo01eoo`03001oogoo06ioo`00HWoo
00<007ooOol02Woo00<007ooOol07Goo0P007Woo00<007ooOol0KWoo001ROol00`00Oomoo`0;Ool0
0`00Oomoo`0LOol00`00Oomoo`0LOol00`00Oomoo`1_Ool0069oo`03001oogoo00]oo`03001oogoo
01aoo`03001oogoo01aoo`03001oogoo06moo`00HWoo00<007ooOol02goo00<007ooOol077oo00<0
07ooOol077oo00<007ooOol0Kgoo001ROol00`00Oomoo`0<Ool00`00Oomoo`0KOol00`00Oomoo`0K
Ool00`00Oomoo`1`Ool0069oo`03001oogoo00aoo`03001oogoo01]oo`03001oogoo01]oo`03001o
ogoo071oo`00HWoo00<007ooOol03Goo00<007ooOol06Woo0P006goo00<007ooOol0LGoo001ROol0
0`00Oomoo`0=Ool00`00Oomoo`0JOol00`00Oomoo`0JOol00`00Oomoo`1aOol0069oo`03001oogoo
00eoo`03001oogoo01Yoo`03001oogoo01Yoo`03001oogoo075oo`00HWoo00<007ooOol03Woo00<0
07ooOol06Goo00<007ooOol06Goo00<007ooOol0LWoo001ROol00`00Oomoo`0>Ool00`00Oomoo`08
Ool00`00Oomoo`02Ool00`00Oomoo`02Ool30004Ool00`00Oomoo`0IOol00`00Oomoo`1bOol0069o
o`03001oogoo00moo`03001oogoo00Ioo`03001oo`0000Uoo`03001oogoo00=oo`03001oogoo01Uo
o`03001oogoo079oo`00HWoo00<007ooOol03goo00<007ooOol01Woo00<007oo00001goo100017oo
0`0067oo00<007ooOol0Lgoo001ROol00`00Oomoo`0@Ool00`00Oomoo`05Ool00`00Ool00007Ool0
0`00Ool00005Ool00`00Oomoo`0HOol00`00Oomoo`1cOol0069oo`03001oogoo011oo`03001oogoo
00Eoo`03001oo`0000Qoo`8000Eoo`03001oogoo01Moo`03001oogoo07Aoo`00HWoo00<007ooOol0
47oo00<007ooOol01Woo00<007ooOol027oo00<007ooOol00goo00<007ooOol05goo00<007ooOol0
M7oo001ROol00`00Oomoo`0AOol00`00Oomoo`0FOol00`00Oomoo`0GOol00`00Oomoo`1dOol0069o
o`03001oogoo015oo`03001oogoo01Ioo`8001Moo`03001oogoo07Eoo`00HWoo00<007ooOol04Woo
00<007ooOol05Goo00<007ooOol05Woo00<007ooOol0MGoo001ROol00`00Oomoo`0BOol00`00Oomo
o`0EOol00`00Oomoo`0EOol00`00Oomoo`1fOol0069oo`03001oogoo019oo`03001oogoo01Eoo`03
001oogoo01Eoo`03001oogoo07Ioo`00HWoo00<007ooOol04goo00<007ooOol057oo00<007ooOol0
5Goo00<007ooOol0MWoo001ROol00`00Oomoo`0COol00`00Oomoo`0DOol00`00Oomoo`0DOol00`00
Oomoo`1gOol0069oobl001Eoo`03001oogoo07Moo`00NGoo00<007ooOol04goo00<007ooOol04goo
00<007ooOol0N7oo001iOol00`00Oomoo`0COol00`00Oomoo`0COol00`00Oomoo`1hOol007Yoo`03
001oogoo019oo`03001oogoo01=oo`03001oogoo07Qoo`00NWoo00<007ooOol04Woo00<007ooOol0
4Woo00<007ooOol0NGoo001kOol00`00Oomoo`0AOol00`00Oomoo`0BOol00`00Oomoo`1iOol007]o
o`03001oogoo015oo`80019oo`03001oogoo07Yoo`00Ngoo00<007ooOol04Goo00<007ooOol04Goo
00<007ooOol0NWoo001lOol00`00Oomoo`0@Ool00`00Oomoo`0@Ool00`00Oomoo`1kOol007aoo`03
001oo`0000Aoo`04001oogooOol20006Ool00`00Oomoo`0@Ool00`00Oomoo`1kOol007eoo`03001o
o`0000Moo`03001oo`0000Eoo`03001oogoo011oo`03001oogoo07]oo`00OGoo00<007oo00001goo
00<007oo00001Goo0`003goo00<007ooOol0O7oo001mOol00`00Ool00007Ool20006Ool00`00Oomo
o`0?Ool00`00Oomoo`1lOol007eoo`<000Moo`03001oogoo00Eoo`03001oogoo00ioo`03001oogoo
07eoo`00OWoo00<007ooOol01goo0P001Goo00<007ooOol03Woo00<007ooOol0OGoo001oOol00`00
Oomoo`0=Ool00`00Oomoo`0>Ool00`00Oomoo`1mOol007moo`03001oogoo00eoo`03001oogoo00eo
o`03001oogoo07ioo`00Ogoo00<007ooOol03Goo0P003Woo00<007ooOol0OWoo0020Ool00`00Oomo
o`0<Ool00`00Oomoo`0<Ool00`00Oomoo`1oOol0081oo`03001oogoo00aoo`03001oogoo00aoo`03
001oogoo07moo`00PGoo00<007ooOol02goo00<007ooOol02goo00<007ooOol0P7oo0021Ool00`00
Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`20Ool0085oo`03001oogoo00]oo`8000aoo`03001o
ogoo081oo`00PWoo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol0PGoo0022Ool00`00Oomo
o`0:Ool00`00Oomoo`0:Ool00`00Oomoo`21Ool008=oo`03001oogoo00Uoo`03001oogoo00Uoo`03
001oogoo089oo`00Pgoo00<007ooOol02Goo00<007ooOol02Goo00<007ooOol0PWoo0023Ool00`00
Oomoo`09Ool00`00Oomoo`09Ool00`00Oomoo`22Ool008Aoo`03001oogoo00Qoo`8000Uoo`03001o
ogoo08=oo`00Q7oo00<007ooOol027oo00<007ooOol027oo00<007ooOol0Pgoo0025Ool00`00Oomo
o`07Ool00`00Oomoo`07Ool00`00Oomoo`24Ool008Eoo`03001oogoo00Moo`03001oogoo00Moo`03
001oogoo08Aoo`00OWoo00<007ooOol00Woo00<007oo00000Woo00<007ooOol017oo00<007ooOol0
1goo00<007ooOol0Q7oo001mOol00`00Ool00006Ool200000goo001oo`04Ool00`00Oomoo`06Ool0
0`00Oomoo`25Ool007eoo`03001oo`0000Ioo`800003Ool007oo00Aoo`<000Ioo`03001oogoo08Eo
o`00OGoo00<007oo00001goo0P001Woo00<007ooOol01Goo00<007ooOol0QWoo001mOol00`00Ool0
0007Ool00`00Ool00005Ool00`00Oomoo`05Ool00`00Oomoo`26Ool007ioo`03001oogoo00Moo`03
001oogoo00Aoo`03001oogoo00Eoo`03001oogoo08Ioo`00R7oo00<007ooOol017oo00<007ooOol0
17oo00<007ooOol0Qgoo0028Ool00`00Oomoo`04Ool20005Ool00`00Oomoo`27Ool008Uoo`03001o
ogoo00=oo`03001oogoo00=oo`03001oogoo08Qoo`00RGoo00<007ooOol00goo00<007ooOol00goo
00<007ooOol0R7oo0029Ool00`00Oomoo`03Ool00`00Oomoo`02Ool00`00Oomoo`29Ool008Yoo`03
001oogoo009oo`03001oogoo009oo`03001oogoo08Uoo`00RWoo00<007ooOol00Woo00<007ooOol0
0Woo00<007ooOol0RGoo002;Ool01000Oomoogoo0P000Woo00<007ooOol0RWoo002;Ool01@00Oomo
ogoo00000goo00<007ooOol0RWoo002;Ool01@00Oomoogoo00000Woo00<007ooOol0Rgoo002<Ool0
1000Oomoo`000Woo00<007ooOol0Rgoo002<Ool01000Oomoo`000Woo00<007ooOol0Rgoo002<Ool0
0`00Oomoo`03002>Ool008eoo`05001oo`00Ool0002>Ool008eoo`04001oo`00002?Ool008eoo`04
001oo`00002?Ool008Ioo`D000=oo`<008moo`00R7oo00<007ooOol017oo00<007ooOol0SWoo0028
Ool00`00Oomoo`04Ool3002>Ool008Qoo`03001oogoo00Aoo`03001oogoo08ioo`00R7oo00<007oo
Ool017oo00<007ooOol0SWoo0027Ool20006Ool00`00Oomoo`2>Ool008moo`03001oogoo08ioo`00
\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-5.47157, -0.537452, 
  0.0381294, 0.00891612}}]
}, Open  ]],

Cell[BoxData[
    \(nx[x_] := If[Abs[x] < h, \(-Sign[x]\)/h, 0]; \nwx[x_] := 0; \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[{nx[x], wx[x]}, {x, \(-3\) h, 3  h}]; \)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.0918908 0.309017 0.508371 [
[.13244 .29652 -6 -9 ]
[.13244 .29652 6 0 ]
[.31622 .29652 -6 -9 ]
[.31622 .29652 6 0 ]
[.68378 .29652 -3 -9 ]
[.68378 .29652 3 0 ]
[.86756 .29652 -3 -9 ]
[.86756 .29652 3 0 ]
[.4875 .00399 -24 -4.5 ]
[.4875 .00399 0 4.5 ]
[.4875 .10567 -24 -4.5 ]
[.4875 .10567 0 4.5 ]
[.4875 .20734 -24 -4.5 ]
[.4875 .20734 0 4.5 ]
[.4875 .41069 -18 -4.5 ]
[.4875 .41069 0 4.5 ]
[.4875 .51237 -18 -4.5 ]
[.4875 .51237 0 4.5 ]
[.4875 .61404 -18 -4.5 ]
[.4875 .61404 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
.13244 .30902 m
.13244 .31527 L
s
[(-4)] .13244 .29652 0 1 Mshowa
.31622 .30902 m
.31622 .31527 L
s
[(-2)] .31622 .29652 0 1 Mshowa
.68378 .30902 m
.68378 .31527 L
s
[(2)] .68378 .29652 0 1 Mshowa
.86756 .30902 m
.86756 .31527 L
s
[(4)] .86756 .29652 0 1 Mshowa
.125 Mabswid
.17838 .30902 m
.17838 .31277 L
s
.22433 .30902 m
.22433 .31277 L
s
.27027 .30902 m
.27027 .31277 L
s
.36216 .30902 m
.36216 .31277 L
s
.40811 .30902 m
.40811 .31277 L
s
.45405 .30902 m
.45405 .31277 L
s
.54595 .30902 m
.54595 .31277 L
s
.59189 .30902 m
.59189 .31277 L
s
.63784 .30902 m
.63784 .31277 L
s
.72973 .30902 m
.72973 .31277 L
s
.77567 .30902 m
.77567 .31277 L
s
.82162 .30902 m
.82162 .31277 L
s
.08649 .30902 m
.08649 .31277 L
s
.04055 .30902 m
.04055 .31277 L
s
.91351 .30902 m
.91351 .31277 L
s
.95945 .30902 m
.95945 .31277 L
s
.25 Mabswid
0 .30902 m
1 .30902 L
s
.5 .00399 m
.50625 .00399 L
s
[(-0.6)] .4875 .00399 1 0 Mshowa
.5 .10567 m
.50625 .10567 L
s
[(-0.4)] .4875 .10567 1 0 Mshowa
.5 .20734 m
.50625 .20734 L
s
[(-0.2)] .4875 .20734 1 0 Mshowa
.5 .41069 m
.50625 .41069 L
s
[(0.2)] .4875 .41069 1 0 Mshowa
.5 .51237 m
.50625 .51237 L
s
[(0.4)] .4875 .51237 1 0 Mshowa
.5 .61404 m
.50625 .61404 L
s
[(0.6)] .4875 .61404 1 0 Mshowa
.125 Mabswid
.5 .02941 m
.50375 .02941 L
s
.5 .05483 m
.50375 .05483 L
s
.5 .08025 m
.50375 .08025 L
s
.5 .13109 m
.50375 .13109 L
s
.5 .15651 m
.50375 .15651 L
s
.5 .18192 m
.50375 .18192 L
s
.5 .23276 m
.50375 .23276 L
s
.5 .25818 m
.50375 .25818 L
s
.5 .2836 m
.50375 .2836 L
s
.5 .33444 m
.50375 .33444 L
s
.5 .35985 m
.50375 .35985 L
s
.5 .38527 m
.50375 .38527 L
s
.5 .43611 m
.50375 .43611 L
s
.5 .46153 m
.50375 .46153 L
s
.5 .48695 m
.50375 .48695 L
s
.5 .53778 m
.50375 .53778 L
s
.5 .5632 m
.50375 .5632 L
s
.5 .58862 m
.50375 .58862 L
s
.25 Mabswid
.5 0 m
.5 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .30902 m
.06244 .30902 L
.10458 .30902 L
.14415 .30902 L
.18221 .30902 L
.22272 .30902 L
.26171 .30902 L
.28158 .30902 L
.30316 .30902 L
.31323 .30902 L
.32392 .30902 L
.33304 .30902 L
.33554 .30902 L
.33823 .30902 L
.33953 .30902 L
.34076 .30902 L
.34187 .60332 L
.34309 .60332 L
.38373 .60332 L
.42286 .60332 L
.44283 .60332 L
.46444 .60332 L
.47459 .60332 L
.48531 .60332 L
.49446 .60332 L
.49697 .60332 L
.49835 .60332 L
.49966 .60332 L
.50087 .01472 L
.5022 .01472 L
.50451 .01472 L
.54529 .01472 L
.58456 .01472 L
.62231 .01472 L
.64165 .01472 L
.64696 .01472 L
.65254 .01472 L
.65484 .01472 L
.6573 .01472 L
.65803 .01472 L
.65871 .01472 L
.66 .30902 L
.6612 .30902 L
.66251 .30902 L
.70343 .30902 L
.74283 .30902 L
.78072 .30902 L
.82106 .30902 L
.85988 .30902 L
.90116 .30902 L
Mistroke
.94092 .30902 L
.97619 .30902 L
Mfstroke
.02381 .30902 m
.06244 .30902 L
.10458 .30902 L
.14415 .30902 L
.18221 .30902 L
.22272 .30902 L
.26171 .30902 L
.30316 .30902 L
.34309 .30902 L
.3815 .30902 L
.42237 .30902 L
.46172 .30902 L
.49955 .30902 L
.53984 .30902 L
.57861 .30902 L
.61984 .30902 L
.65954 .30902 L
.69774 .30902 L
.73838 .30902 L
.77751 .30902 L
.81909 .30902 L
.85916 .30902 L
.89771 .30902 L
.93871 .30902 L
.97619 .30902 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/A000`40O003h00Oogoo8Goo003oOolQ
Ool007moo`03001oogoo009oo`04001oogooOol2002FOol007ioo`03001oo`0000Moo`03001oo`00
00Aoo`03001oogoo08ioo`00NGoo0`000Woo00<007oo00001goo00<007oo000017oo0`00SWoo001n
Ool00`00Ool00007Ool20005Ool00`00Oomoo`2>Ool007ioo`03001oo`0000Moo`03001oogoo00Ao
o`03001oogoo08ioo`00Ogoo00<007ooOol01goo0P0017oo;@00I7oo002?Ool00`00Oomoo`0YOol0
0`00Oomoo`1ROol008moo`03001oogoo02Uoo`03001oogoo069oo`00Sgoo00<007ooOol0:Goo00<0
07ooOol0HWoo002?Ool2000ZOol00`00Oomoo`1ROol008moo`03001oogoo02Uoo`03001oogoo069o
o`00Sgoo00<007ooOol0:Goo00<007ooOol0HWoo002?Ool00`00Oomoo`0YOol00`00Oomoo`1ROol0
08moo`03001oogoo02Uoo`03001oogoo069oo`00Sgoo00<007ooOol0:Goo00<007ooOol0HWoo002?
Ool00`00Oomoo`0YOol00`00Oomoo`1ROol008moo`8002Yoo`03001oogoo069oo`00Sgoo00<007oo
Ool0:Goo00<007ooOol0HWoo002?Ool00`00Oomoo`0YOol00`00Oomoo`1ROol008moo`03001oogoo
02Uoo`03001oogoo069oo`00Sgoo00<007ooOol0:Goo00<007ooOol0HWoo002?Ool00`00Oomoo`0Y
Ool00`00Oomoo`1ROol008moo`03001oogoo02Uoo`03001oogoo069oo`00Sgoo0P00:Woo00<007oo
Ool0HWoo002?Ool00`00Oomoo`0YOol00`00Oomoo`1ROol008moo`03001oogoo02Uoo`03001oogoo
069oo`00Sgoo00<007ooOol0:Goo00<007ooOol0HWoo002?Ool00`00Oomoo`0YOol00`00Oomoo`1R
Ool007moo`03001oogoo009oo`03001oogoo009oo`<000=oo`03001oogoo02Uoo`03001oogoo069o
o`00OWoo00<007oo00002Goo00<007ooOol00Woo00<007ooOol0:Goo00<007ooOol0HWoo001iOol3
0002Ool00`00Ool00007Ool40003Ool3000YOol00`00Oomoo`1ROol007ioo`03001oo`0000Moo`03
001oo`0000Aoo`03001oogoo02Uoo`03001oogoo069oo`00OWoo00<007oo000027oo0P0017oo00<0
07ooOol0:Goo00<007ooOol0HWoo001oOol00`00Oomoo`08Ool00`00Oomoo`02Ool00`00Oomoo`0Y
Ool00`00Oomoo`1ROol008moo`03001oogoo02Uoo`03001oogoo069oo`00Sgoo00<007ooOol0:Goo
00<007ooOol0HWoo002?Ool00`00Oomoo`0YOol00`00Oomoo`1ROol008moo`8002Yoo`03001oogoo
069oo`00Sgoo00<007ooOol0:Goo00<007ooOol0HWoo002?Ool00`00Oomoo`0YOol00`00Oomoo`1R
Ool008moo`03001oogoo02Uoo`03001oogoo069oo`00Sgoo00<007ooOol0:Goo00<007ooOol0HWoo
002?Ool00`00Oomoo`0YOol00`00Oomoo`1ROol008moo`03001oogoo02Uoo`03001oogoo069oo`00
Sgoo0P00:Woo00<007ooOol0HWoo002?Ool00`00Oomoo`0YOol00`00Oomoo`1ROol008moo`03001o
ogoo02Uoo`03001oogoo069oo`00Sgoo00<007ooOol0:Goo00<007ooOol0HWoo002?Ool00`00Oomo
o`0YOol00`00Oomoo`1ROol008moo`03001oogoo02Uoo`03001oogoo069oo`00Sgoo00<007ooOol0
:Goo00<007ooOol0HWoo002?Ool2000ZOol00`00Oomoo`1ROol008moo`03001oogoo02Uoo`03001o
ogoo069oo`00Sgoo00<007ooOol0:Goo00<007ooOol0HWoo002?Ool00`00Oomoo`0YOol00`00Oomo
o`1ROol008moo`03001oogoo02Uoo`03001oogoo069oo`00Ogoo00<007ooOol00Woo00@007ooOomo
o`<000Aoo`03001oogoo02Uoo`03001oogoo069oo`00OWoo00<007oo00001goo00<007ooOol017oo
00<007ooOol0:Goo00<007ooOol0HWoo001iOol30002Ool00`00Ool00008Ool00`00Oomoo`03Ool3
000YOol00`00Oomoo`1ROol007ioo`03001oo`0000Qoo`03001oogoo00=oo`03001oogoo02Uoo`03
001oogoo069oo`00OWoo00<007oo00001goo00<007oo000017oo00<007ooOol0:Goo00<007ooOol0
HWoo001oOol00`00Oomoo`07Ool00`00Oomoo`03Ool00`00Oomoo`0YOol00`00Oomoo`1ROol008mo
o`03001oogoo02Uoo`03001oogoo069oo`00Sgoo00<007ooOol0:Goo00<007ooOol0HWoo002?Ool0
0`00Oomoo`0YOol00`00Oomoo`1ROol008moo`8002Yoo`03001oogoo069oo`00Sgoo00<007ooOol0
:Goo00<007ooOol0HWoo002?Ool00`00Oomoo`0YOol00`00Oomoo`1ROol008moo`03001oogoo02Uo
o`03001oogoo069oo`00Sgoo00<007ooOol0:Goo00<007ooOol0HWoo002?Ool00`00Oomoo`0YOol0
0`00Oomoo`1ROol008moo`03001oogoo02Uoo`03001oogoo069oo`00Sgoo0P00:Woo00<007ooOol0
HWoo002?Ool00`00Oomoo`0YOol00`00Oomoo`1ROol008moo`03001oogoo02Uoo`03001oogoo069o
o`00;7oo0`00;Woo0`00;goo00<007ooOol0:Goo00<007ooOol00Woo0`00<Goo0`00:Goo000]Ool0
0`00Oomoo`0]Ool00`00Oomoo`0_Ool00`00Oomoo`0YOol00`00Oomoo`02Ool00`00Oomoo`0bOol0
0`00Oomoo`0XOol002Ioo`<0009oo`@002Uoo`<000=oo`03001oogoo02ioo`03001oogoo02Uoo`03
001oogoo00=oo`03001oogoo02moo`@002Uoo`00:goo00<007oo0000<7oo00<007ooOol0;Woo00<0
07ooOol0:Goo00<007ooOol00goo00<007ooOol0;goo00<007oo0000:Woo000/Ool2000_Ool00`00
Ool0000_Ool2000ZOol00`00Oomoo`02Ool00`00Ool0000aOol2000ZOol002eoo`03001oogoo02io
o`03001oogoo02ioo`03001oogoo02Uoo`03001oogoo00=oo`03001oogoo035oo`03001oogoo02Qo
o`00Sgoo00<007ooOol0:Goo00<007ooOol0HWoo002?Ool00`00Oomoo`0YOol00`00Oomoo`1ROol0
08moo`03001oogoo02Uoo`03001oogoo069oo`00Sgoo00<007ooOol0:Goo00<007ooOol0HWoo002?
Ool00`00Oomoo`0YOol00`00Oomoo`1ROol000Eoool001H000Ioo`004Goo00<007ooOol02Goo00<0
07ooOol02Woo00<007ooOol02Goo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Goo00<0
07ooOol017oo00<007ooOol00goo00<007ooOol02Woo00<007ooOol02Goo00<007ooOol02Woo00<0
07ooOol02Woo00<007ooOol02Goo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Goo00<0
07ooOol02Woo00<007ooOol02Woo00<007ooOol02Goo00<007ooOol02Woo00<007ooOol02Goo00<0
07ooOol047oo000ZOol00`00Oomoo`0_Ool00`00Oomoo`04Ool00`00Oomoo`0YOol00`00Oomoo`0`
Ool00`00Oomoo`0_Ool00`00Oomoo`0YOol006=oo`03001oogoo02Uoo`03001oogoo08ioo`00Hgoo
00<007ooOol0:Goo00<007ooOol0SWoo001SOol00`00Oomoo`0YOol00`00Oomoo`2>Ool006=oo`03
001oogoo02Uoo`03001oogoo08ioo`00Hgoo00<007ooOol0:Goo0P00Sgoo001SOol00`00Oomoo`0Y
Ool00`00Oomoo`2>Ool006=oo`03001oogoo02Uoo`03001oogoo08ioo`00Hgoo00<007ooOol0:Goo
00<007ooOol0SWoo001SOol00`00Oomoo`0YOol00`00Oomoo`2>Ool006=oo`03001oogoo02Uoo`03
001oogoo08ioo`00Hgoo00<007ooOol0:Goo00<007ooOol0SWoo001SOol00`00Oomoo`0YOol2002?
Ool006=oo`03001oogoo02Uoo`03001oogoo08ioo`00Hgoo00<007ooOol0:Goo00<007ooOol0SWoo
001SOol00`00Oomoo`0YOol00`00Oomoo`2>Ool006=oo`03001oogoo02Uoo`03001oogoo08ioo`00
Hgoo00<007ooOol0:Goo00<007ooOol0SWoo001SOol00`00Oomoo`0YOol00`00Oomoo`2>Ool006=o
o`03001oogoo02Uoo`8008moo`00Hgoo00<007ooOol0:Goo00<007ooOol0SWoo001SOol00`00Oomo
o`0YOol00`00Oomoo`2>Ool006=oo`03001oogoo02Uoo`03001oogoo08ioo`00Hgoo00<007ooOol0
:Goo00<007ooOol0SWoo001SOol00`00Oomoo`0IOol00`00Oomoo`02Ool01000Oomoogoo0`0017oo
00<007ooOol0SWoo001SOol00`00Oomoo`0HOol00`00Ool00007Ool00`00Oomoo`04Ool00`00Oomo
o`2>Ool006=oo`03001oogoo01Qoo`03001oo`0000Qoo`03001oogoo00=oo`<008ioo`00Hgoo00<0
07ooOol067oo00<007oo000027oo00<007ooOol00goo00<007ooOol0SWoo001SOol00`00Oomoo`0H
Ool00`00Ool00007Ool00`00Ool00004Ool00`00Oomoo`2>Ool006=oo`03001oogoo01Uoo`03001o
ogoo00Moo`03001oogoo00=oo`03001oogoo08ioo`00Hgoo00<007ooOol0:Goo00<007ooOol0SWoo
001SOol00`00Oomoo`0YOol00`00Oomoo`2>Ool006=oo`03001oogoo02Uoo`03001oogoo08ioo`00
Hgoo00<007ooOol0:Goo0P00Sgoo001SOol00`00Oomoo`0YOol00`00Oomoo`2>Ool006=oo`03001o
ogoo02Uoo`03001oogoo08ioo`00Hgoo00<007ooOol0:Goo00<007ooOol0SWoo001SOol00`00Oomo
o`0YOol00`00Oomoo`2>Ool006=oo`03001oogoo02Uoo`03001oogoo08ioo`00Hgoo00<007ooOol0
:Goo00<007ooOol0SWoo001SOol00`00Oomoo`0YOol2002?Ool006=oo`03001oogoo02Uoo`03001o
ogoo08ioo`00Hgoo00<007ooOol0:Goo00<007ooOol0SWoo001SOol00`00Oomoo`0YOol00`00Oomo
o`2>Ool006=oo`03001oogoo02Uoo`03001oogoo08ioo`00Hgoo00<007ooOol0:Goo00<007ooOol0
SWoo001SOol00`00Oomoo`0YOol00`00Oomoo`2>Ool006=oo`03001oogoo02Uoo`8008moo`00Hgoo
00<007ooOol0:Goo00<007ooOol0SWoo001SOol00`00Oomoo`0YOol00`00Oomoo`2>Ool006=oo`03
001oogoo02Uoo`03001oogoo08ioo`00Hgoo00<007ooOol0:Goo00<007ooOol0SWoo001SOol00`00
Oomoo`0IOol00`00Oomoo`02Ool00`00Oomoo`02Ool30003Ool00`00Oomoo`2>Ool006=oo`03001o
ogoo01Qoo`03001oo`0000Uoo`03001oogoo009oo`03001oogoo08ioo`00Hgoo00<007ooOol067oo
00<007oo00001goo10000goo0`00SWoo001SOol00`00Oomoo`0HOol00`00Ool00007Ool00`00Ool0
0004Ool00`00Oomoo`2>Ool006=oo`03001oogoo01Qoo`03001oo`0000Qoo`8000Aoo`03001oogoo
08ioo`00Hgoo00<007ooOol06Goo00<007ooOol027oo00<007ooOol00Woo00<007ooOol0SWoo001S
Ool00`00Oomoo`0YOol00`00Oomoo`2>Ool006=oo`03001oogoo02Uoo`03001oogoo08ioo`00Hgoo
00<007ooOol0:Goo00<007ooOol0SWoo001SOol00`00Oomoo`0YOol2002?Ool006=oo`03001oogoo
02Uoo`03001oogoo08ioo`00Hgoo00<007ooOol0:Goo00<007ooOol0SWoo001SOol00`00Oomoo`0Y
Ool00`00Oomoo`2>Ool006=oo`03001oogoo02Uoo`03001oogoo08ioo`00Hgoo00<007ooOol0:Goo
00<007ooOol0SWoo001SOol00`00Oomoo`0YOol00`00Oomoo`2>Ool006=oo`03001oogoo02Uoo`80
08moo`00Hgoo00<007ooOol0:Goo00<007ooOol0SWoo001SOol00`00Oomoo`0YOol00`00Oomoo`2>
Ool006=oo`03001oogoo02Uoo`03001oogoo08ioo`00Hgoo00<007ooOol0:Goo00<007ooOol0SWoo
001SOol00`00Oomoo`0YOol00`00Oomoo`2>Ool006=oo`03001oogoo02Uoo`03001oogoo08ioo`00
Hgoo00<007ooOol0:Goo0P00Sgoo001SOol00`00Oomoo`0YOol00`00Oomoo`2>Ool006=oo`03001o
ogoo02Uoo`03001oogoo08ioo`00Hgoo00<007ooOol0:Goo00<007ooOol0SWoo001SOol]002@Ool0
07moo`03001oogoo009oo`04001oogooOol20005Ool00`00Oomoo`2>Ool007ioo`03001oo`0000Mo
o`03001oo`0000Aoo`03001oogoo08ioo`00OWoo00<007oo00001goo00<007oo000017oo0`00SWoo
001nOol00`00Ool00007Ool20005Ool00`00Oomoo`2>Ool007ioo`03001oo`0000Moo`03001oogoo
09Eoo`00Ogoo00<007ooOol01goo0P00UGoo003oOolQOol00001\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-5.67286, -0.63217, 
  0.0395321, 0.00714564}}]
}, Open  ]],

Cell[BoxData[
    \(ielem[u_] := NIntegrate[u, {x, 0, h}]\)], "Input"],

Cell[BoxData[
    RowBox[{\(elemMatrix[u_, v_]\), ":=", 
      RowBox[{"Map", "[", 
        RowBox[{"ielem", ",", 
          RowBox[{"(", GridBox[{
                {\(u[x] v[x]\), \(u[x - h] v[x]\)},
                {\(u[x] v[x - h]\), \(u[x - h] v[x - h]\)}
                }], ")"}], ",", \({2}\)}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell["Mass Matrix", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(6\/h\) elemMatrix[n, n] // MatrixForm\)], "Input"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", GridBox[{
            {"1.99999999999999982`", "0.999999999999999822`"},
            {"0.999999999999999822`", "1.99999999999999982`"}
            }], ")"}],
      (MatrixForm[ #]&)]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(4\/h\) elemMatrix[n, w] // MatrixForm\)], "Input"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", GridBox[{
            {\(-1.`\), \(-1.`\)},
            {"1.`", "1.`"}
            }], ")"}],
      (MatrixForm[ #]&)]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Stiffness matrix", "Section"],

Cell["scaled by k", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(h\ elemMatrix[nx, nx] // MatrixForm\)], "Input"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", GridBox[{
            {"1.00000000000000022`", \(-1.00000000000000022`\)},
            {\(-1.00000000000000022`\), "1.00000000000000022`"}
            }], ")"}],
      (MatrixForm[ #]&)]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(elemMatrix[nx, wx] // MatrixForm\)], "Input"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", GridBox[{
            {"0", "0"},
            {"0", "0"}
            }], ")"}],
      (MatrixForm[ #]&)]], "Output"]
}, Open  ]],

Cell["scaled by V", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(2  elemMatrix[nx, n] // MatrixForm\)], "Input"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", GridBox[{
            {\(-1.`\), "1.`"},
            {\(-1.`\), "1.`"}
            }], ")"}],
      (MatrixForm[ #]&)]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(2  elemMatrix[nx, w] // MatrixForm\)], "Input"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", GridBox[{
            {"1.`", \(-1.`\)},
            {\(-1.`\), "1.`"}
            }], ")"}],
      (MatrixForm[ #]&)]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(V = 50; \nk = 1; \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Clear[y]; \n
    y[x_] = y[x] /. 
        \(DSolve[{k\ \(\(y'\)'\)[x] - V\ \(y'\)[x] == 0, y[0] == 0, 
              y[10] == 1}, y[x], x]\)[\([1, 1]\)]\)], "Input"],

Cell[BoxData[
    \(\(-\(1\/\(\(-1\) + E\^500\)\)\) + E\^\(50\ x\)\/\(\(-1\) + E\^500\)\)], 
  "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[y[x], {x, 0, 10}, PlotRange -> All]; \)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.0952381 0.0147151 0.588616 [
[.21429 .00222 -3 -9 ]
[.21429 .00222 3 0 ]
[.40476 .00222 -3 -9 ]
[.40476 .00222 3 0 ]
[.59524 .00222 -3 -9 ]
[.59524 .00222 3 0 ]
[.78571 .00222 -3 -9 ]
[.78571 .00222 3 0 ]
[.97619 .00222 -6 -9 ]
[.97619 .00222 6 0 ]
[.01131 .13244 -18 -4.5 ]
[.01131 .13244 0 4.5 ]
[.01131 .25016 -18 -4.5 ]
[.01131 .25016 0 4.5 ]
[.01131 .36788 -18 -4.5 ]
[.01131 .36788 0 4.5 ]
[.01131 .48561 -18 -4.5 ]
[.01131 .48561 0 4.5 ]
[.01131 .60333 -6 -4.5 ]
[.01131 .60333 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
.21429 .01472 m
.21429 .02097 L
s
[(2)] .21429 .00222 0 1 Mshowa
.40476 .01472 m
.40476 .02097 L
s
[(4)] .40476 .00222 0 1 Mshowa
.59524 .01472 m
.59524 .02097 L
s
[(6)] .59524 .00222 0 1 Mshowa
.78571 .01472 m
.78571 .02097 L
s
[(8)] .78571 .00222 0 1 Mshowa
.97619 .01472 m
.97619 .02097 L
s
[(10)] .97619 .00222 0 1 Mshowa
.125 Mabswid
.07143 .01472 m
.07143 .01847 L
s
.11905 .01472 m
.11905 .01847 L
s
.16667 .01472 m
.16667 .01847 L
s
.2619 .01472 m
.2619 .01847 L
s
.30952 .01472 m
.30952 .01847 L
s
.35714 .01472 m
.35714 .01847 L
s
.45238 .01472 m
.45238 .01847 L
s
.5 .01472 m
.5 .01847 L
s
.54762 .01472 m
.54762 .01847 L
s
.64286 .01472 m
.64286 .01847 L
s
.69048 .01472 m
.69048 .01847 L
s
.7381 .01472 m
.7381 .01847 L
s
.83333 .01472 m
.83333 .01847 L
s
.88095 .01472 m
.88095 .01847 L
s
.92857 .01472 m
.92857 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .13244 m
.03006 .13244 L
s
[(0.2)] .01131 .13244 1 0 Mshowa
.02381 .25016 m
.03006 .25016 L
s
[(0.4)] .01131 .25016 1 0 Mshowa
.02381 .36788 m
.03006 .36788 L
s
[(0.6)] .01131 .36788 1 0 Mshowa
.02381 .48561 m
.03006 .48561 L
s
[(0.8)] .01131 .48561 1 0 Mshowa
.02381 .60333 m
.03006 .60333 L
s
[(1)] .01131 .60333 1 0 Mshowa
.125 Mabswid
.02381 .04415 m
.02756 .04415 L
s
.02381 .07358 m
.02756 .07358 L
s
.02381 .10301 m
.02756 .10301 L
s
.02381 .16187 m
.02756 .16187 L
s
.02381 .1913 m
.02756 .1913 L
s
.02381 .22073 m
.02756 .22073 L
s
.02381 .27959 m
.02756 .27959 L
s
.02381 .30902 m
.02756 .30902 L
s
.02381 .33845 m
.02756 .33845 L
s
.02381 .39732 m
.02756 .39732 L
s
.02381 .42675 m
.02756 .42675 L
s
.02381 .45618 m
.02756 .45618 L
s
.02381 .51504 m
.02756 .51504 L
s
.02381 .54447 m
.02756 .54447 L
s
.02381 .5739 m
.02756 .5739 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
.5 Mabswid
.02381 .01472 m
.02499 .01472 L
.02605 .01472 L
.02729 .01472 L
.02846 .01472 L
.02954 .01472 L
.03053 .01472 L
.03163 .01472 L
.03279 .01472 L
.03395 .01472 L
.0352 .01472 L
.03638 .01472 L
.03746 .01472 L
.03873 .01472 L
.03944 .01472 L
.04011 .01472 L
.04132 .01472 L
.04262 .01472 L
.04327 .01472 L
.04396 .01472 L
.04519 .01472 L
.04588 .01472 L
.04652 .01472 L
.04722 .01472 L
.04797 .01472 L
.04862 .01472 L
.04933 .01472 L
.05061 .01472 L
.05186 .01472 L
.05302 .01472 L
.05414 .01472 L
.05519 .01472 L
.05634 .01472 L
.05759 .01472 L
.05882 .01472 L
.06012 .01472 L
.06123 .01472 L
.06244 .01472 L
.06315 .01472 L
.06381 .01472 L
.06453 .01472 L
.06529 .01472 L
.06657 .01472 L
.06729 .01472 L
.06797 .01472 L
.06924 .01472 L
.0704 .01472 L
.07103 .01472 L
.07173 .01472 L
.073 .01472 L
Mistroke
.07376 .01472 L
.07448 .01472 L
.07513 .01472 L
.07583 .01472 L
.0766 .01472 L
.0774 .01472 L
.07809 .01472 L
.07885 .01472 L
.07956 .01472 L
.0802 .01472 L
.08095 .01472 L
.08166 .01472 L
.08291 .01472 L
.08362 .01472 L
.08427 .01472 L
.08544 .01472 L
.08669 .01472 L
.08787 .01472 L
.08896 .01472 L
.09016 .01472 L
.09148 .01472 L
.09214 .01472 L
.09285 .01472 L
.09413 .01472 L
.09483 .01472 L
.09548 .01472 L
.09619 .01472 L
.09695 .01472 L
.09821 .01472 L
.09893 .01472 L
.09961 .01472 L
.10086 .01472 L
.10201 .01472 L
.10333 .01472 L
.10458 .01472 L
.10572 .01472 L
.10694 .01472 L
.1081 .01472 L
.10916 .01472 L
.11033 .01472 L
.11162 .01472 L
.11227 .01472 L
.11297 .01472 L
.11422 .01472 L
.11491 .01472 L
.11554 .01472 L
.11624 .01472 L
.11698 .01472 L
.11822 .01472 L
.11892 .01472 L
Mistroke
.11958 .01472 L
.12081 .01472 L
.12194 .01472 L
.12323 .01472 L
.12446 .01472 L
.12562 .01472 L
.12668 .01472 L
.12789 .01472 L
.12903 .01472 L
.13009 .01472 L
.13107 .01472 L
.13214 .01472 L
.13327 .01472 L
.13441 .01472 L
.13564 .01472 L
.1368 .01472 L
.13785 .01472 L
.13909 .01472 L
.13979 .01472 L
.14043 .01472 L
.14162 .01472 L
.14288 .01472 L
.14402 .01472 L
.14526 .01472 L
.14656 .01472 L
.14777 .01472 L
.14891 .01472 L
.14994 .01472 L
.15113 .01472 L
.15226 .01472 L
.15348 .01472 L
.15478 .01472 L
.15589 .01472 L
.15711 .01472 L
.15842 .01472 L
.15915 .01472 L
.15982 .01472 L
.16113 .01472 L
.16236 .01472 L
.16352 .01472 L
.16456 .01472 L
.16577 .01472 L
.1669 .01472 L
.16796 .01472 L
.16893 .01472 L
.16999 .01472 L
.17111 .01472 L
.17225 .01472 L
.17347 .01472 L
.17462 .01472 L
Mistroke
.17566 .01472 L
.17689 .01472 L
.17758 .01472 L
.17823 .01472 L
.1794 .01472 L
.18065 .01472 L
.18185 .01472 L
.18316 .01472 L
.18441 .01472 L
.18556 .01472 L
.1867 .01472 L
.18773 .01472 L
.18893 .01472 L
.19005 .01472 L
.19128 .01472 L
.19258 .01472 L
.19369 .01472 L
.19491 .01472 L
.19623 .01472 L
.19696 .01472 L
.19763 .01472 L
.19894 .01472 L
.20017 .01472 L
.20122 .01472 L
.20238 .01472 L
.20359 .01472 L
.20472 .01472 L
.20578 .01472 L
.20675 .01472 L
.20781 .01472 L
.20894 .01472 L
.21008 .01472 L
.21129 .01472 L
.21244 .01472 L
.21349 .01472 L
.21472 .01472 L
.21541 .01472 L
.21605 .01472 L
.21723 .01472 L
.21847 .01472 L
.21968 .01472 L
.221 .01472 L
.22224 .01472 L
.2234 .01472 L
.22454 .01472 L
.22558 .01472 L
.22677 .01472 L
.2279 .01472 L
.22914 .01472 L
.23044 .01472 L
Mistroke
.23155 .01472 L
.23277 .01472 L
.23409 .01472 L
.23482 .01472 L
.2355 .01472 L
.2368 .01472 L
.23804 .01472 L
.23909 .01472 L
.24025 .01472 L
.24146 .01472 L
.2426 .01472 L
.24365 .01472 L
.24462 .01472 L
.24569 .01472 L
.24681 .01472 L
.24795 .01472 L
.24917 .01472 L
.25032 .01472 L
.25137 .01472 L
.2526 .01472 L
.25329 .01472 L
.25393 .01472 L
.2551 .01472 L
.25635 .01472 L
.25756 .01472 L
.25888 .01472 L
.26013 .01472 L
.26129 .01472 L
.26233 .01472 L
.26348 .01472 L
.26467 .01472 L
.2658 .01472 L
.26704 .01472 L
.26835 .01472 L
.26946 .01472 L
.27068 .01472 L
.272 .01472 L
.27274 .01472 L
.27341 .01472 L
.27472 .01472 L
.27595 .01472 L
.27701 .01472 L
.27817 .01472 L
.27938 .01472 L
.28052 .01472 L
.28158 .01472 L
.28255 .01472 L
.28367 .01472 L
.28474 .01472 L
.28588 .01472 L
Mistroke
.2871 .01472 L
.28825 .01472 L
.2893 .01472 L
.29053 .01472 L
.29122 .01472 L
.29186 .01472 L
.29303 .01472 L
.29427 .01472 L
.29549 .01472 L
.29618 .01472 L
.29682 .01472 L
.29799 .01472 L
.29923 .01472 L
.30034 .01472 L
.30138 .01472 L
.30252 .01472 L
.30375 .01472 L
.30499 .01472 L
.30569 .01472 L
.30634 .01472 L
.30765 .01472 L
.30839 .01472 L
.30906 .01472 L
.31026 .01472 L
.31156 .01472 L
.31278 .01472 L
.31392 .01472 L
.31497 .01472 L
.31611 .01472 L
.31718 .01472 L
.31816 .01472 L
.3193 .01472 L
.32055 .01472 L
.32173 .01472 L
.32282 .01472 L
.32406 .01472 L
.32522 .01472 L
.32626 .01472 L
.32739 .01472 L
.32862 .01472 L
.32992 .01472 L
.33103 .01472 L
.33225 .01472 L
.33356 .01472 L
.33477 .01472 L
.33541 .01472 L
.3361 .01472 L
.33683 .01472 L
.33751 .01472 L
.33876 .01472 L
Mistroke
.33991 .01472 L
.34123 .01472 L
.34249 .01472 L
.3436 .01472 L
.3448 .01472 L
.34592 .01472 L
.34694 .01472 L
.34814 .01472 L
.34945 .01472 L
.35067 .01472 L
.35181 .01472 L
.35302 .01472 L
.35431 .01472 L
.35554 .01472 L
.35665 .01472 L
.35796 .01472 L
.3587 .01472 L
.35939 .01472 L
.36064 .01472 L
.36128 .01472 L
.36198 .01472 L
.36266 .01472 L
.36337 .01472 L
.36465 .01472 L
.36536 .01472 L
.36602 .01472 L
.36675 .01472 L
.36753 .01472 L
.3682 .01472 L
.36893 .01472 L
.36962 .01472 L
.37026 .01472 L
.37146 .01472 L
.37274 .01472 L
.37394 .01472 L
.37526 .01472 L
.37651 .01472 L
.37766 .01472 L
.3788 .01472 L
.37984 .01472 L
.38103 .01472 L
.38216 .01472 L
.38339 .01472 L
.3847 .01472 L
.38581 .01472 L
.38703 .01472 L
.38834 .01472 L
.38908 .01472 L
.38975 .01472 L
.39106 .01472 L
Mistroke
.39229 .01472 L
.39334 .01472 L
.3945 .01472 L
.39571 .01472 L
.39685 .01472 L
.39791 .01472 L
.39888 .01472 L
.39994 .01472 L
.40106 .01472 L
.40221 .01472 L
.40342 .01472 L
.40457 .01472 L
.40562 .01472 L
.40685 .01472 L
.40754 .01472 L
.40818 .01472 L
.40936 .01472 L
.4106 .01472 L
.41181 .01472 L
.41313 .01472 L
.41438 .01472 L
.41554 .01472 L
.41669 .01472 L
.41772 .01472 L
.41892 .01472 L
.42005 .01472 L
.42129 .01472 L
.42259 .01472 L
.42371 .01472 L
.42493 .01472 L
.42624 .01472 L
.42698 .01472 L
.42765 .01472 L
.42896 .01472 L
.43019 .01472 L
.43125 .01472 L
.43241 .01472 L
.43362 .01472 L
.43476 .01472 L
.43582 .01472 L
.43679 .01472 L
.43791 .01472 L
.43898 .01472 L
.44012 .01472 L
.44134 .01472 L
.44249 .01472 L
.44354 .01472 L
.44477 .01472 L
.44546 .01472 L
.4461 .01472 L
Mistroke
.44727 .01472 L
.44851 .01472 L
.44973 .01472 L
.45042 .01472 L
.45106 .01472 L
.45223 .01472 L
.45347 .01472 L
.45458 .01472 L
.45562 .01472 L
.45676 .01472 L
.45799 .01472 L
.45922 .01472 L
.45992 .01472 L
.46057 .01472 L
.46188 .01472 L
.46262 .01472 L
.46329 .01472 L
.46449 .01472 L
.46579 .01472 L
.46702 .01472 L
.46815 .01472 L
.4692 .01472 L
.47034 .01472 L
.47141 .01472 L
.47239 .01472 L
.47353 .01472 L
.47478 .01472 L
.47596 .01472 L
.47705 .01472 L
.47829 .01472 L
.47945 .01472 L
.48049 .01472 L
.48162 .01472 L
.48285 .01472 L
.48415 .01472 L
.48526 .01472 L
.48648 .01472 L
.48779 .01472 L
.489 .01472 L
.48963 .01472 L
.49033 .01472 L
.49105 .01472 L
.49174 .01472 L
.49299 .01472 L
.49413 .01472 L
.49539 .01472 L
.49671 .01472 L
.49783 .01472 L
.49902 .01472 L
.50014 .01472 L
Mistroke
.50116 .01472 L
.50236 .01472 L
.50366 .01472 L
.50489 .01472 L
.50603 .01472 L
.50723 .01472 L
.50853 .01472 L
.50975 .01472 L
.51087 .01472 L
.51218 .01472 L
.51292 .01472 L
.51361 .01472 L
.51486 .01472 L
.5155 .01472 L
.5162 .01472 L
.51687 .01472 L
.51759 .01472 L
.51886 .01472 L
.51958 .01472 L
.52024 .01472 L
.52096 .01472 L
.52174 .01472 L
.52241 .01472 L
.52314 .01472 L
.52383 .01472 L
.52447 .01472 L
.52568 .01472 L
.52695 .01472 L
.52816 .01472 L
.52947 .01472 L
.53072 .01472 L
.53187 .01472 L
.53301 .01472 L
.53405 .01472 L
.53525 .01472 L
.53637 .01472 L
.5376 .01472 L
.53891 .01472 L
.54002 .01472 L
.54124 .01472 L
.54255 .01472 L
.54329 .01472 L
.54396 .01472 L
.54526 .01472 L
.5465 .01472 L
.54755 .01472 L
.54871 .01472 L
.54992 .01472 L
.55105 .01472 L
.55211 .01472 L
Mistroke
.55308 .01472 L
.55415 .01472 L
.55527 .01472 L
.55641 .01472 L
.55763 .01472 L
.55878 .01472 L
.55982 .01472 L
.56105 .01472 L
.56175 .01472 L
.56238 .01472 L
.56356 .01472 L
.5648 .01472 L
.56601 .01472 L
.56734 .01472 L
.56858 .01472 L
.56974 .01472 L
.57088 .01472 L
.57192 .01472 L
.57312 .01472 L
.57425 .01472 L
.57548 .01472 L
.57679 .01472 L
.5779 .01472 L
.57912 .01472 L
.58044 .01472 L
.58118 .01472 L
.58185 .01472 L
.58315 .01472 L
.58439 .01472 L
.58544 .01472 L
.5866 .01472 L
.58782 .01472 L
.58895 .01472 L
.59001 .01472 L
.59098 .01472 L
.5921 .01472 L
.59317 .01472 L
.59431 .01472 L
.59553 .01472 L
.59668 .01472 L
.59773 .01472 L
.59896 .01472 L
.59965 .01472 L
.60029 .01472 L
.60146 .01472 L
.60271 .01472 L
.60392 .01472 L
.60461 .01472 L
.60525 .01472 L
.60642 .01472 L
Mistroke
.60766 .01472 L
.60876 .01472 L
.6098 .01472 L
.61094 .01472 L
.61217 .01472 L
.61341 .01472 L
.6141 .01472 L
.61475 .01472 L
.61607 .01472 L
.6168 .01472 L
.61747 .01472 L
.61867 .01472 L
.61997 .01472 L
.6212 .01472 L
.62233 .01472 L
.62339 .01472 L
.62452 .01472 L
.62559 .01472 L
.62657 .01472 L
.62771 .01472 L
.62896 .01472 L
.63014 .01472 L
.63123 .01472 L
.63247 .01472 L
.63363 .01472 L
.63467 .01472 L
.6358 .01472 L
.63703 .01472 L
.63833 .01472 L
.63944 .01472 L
.64066 .01472 L
.64197 .01472 L
.64318 .01472 L
.64381 .01472 L
.6445 .01472 L
.64523 .01472 L
.64591 .01472 L
.64716 .01472 L
.64831 .01472 L
.64956 .01472 L
.65088 .01472 L
.652 .01472 L
.65319 .01472 L
.65431 .01472 L
.65533 .01472 L
.65653 .01472 L
.65784 .01472 L
.65906 .01472 L
.6602 .01472 L
.6614 .01472 L
Mistroke
.6627 .01472 L
.66392 .01472 L
.66504 .01472 L
.66635 .01472 L
.66709 .01472 L
.66777 .01472 L
.66903 .01472 L
.66966 .01472 L
.67036 .01472 L
.67104 .01472 L
.67175 .01472 L
.67303 .01472 L
.67374 .01472 L
.6744 .01472 L
.67513 .01472 L
.67591 .01472 L
.67658 .01472 L
.67731 .01472 L
.678 .01472 L
.67864 .01472 L
.67984 .01472 L
.68112 .01472 L
.68232 .01472 L
.68364 .01472 L
.68488 .01472 L
.68603 .01472 L
.68718 .01472 L
.68821 .01472 L
.68941 .01472 L
.69053 .01472 L
.69176 .01472 L
.69307 .01472 L
.69418 .01472 L
.6954 .01472 L
.69671 .01472 L
.69745 .01472 L
.69812 .01472 L
.69942 .01472 L
.70066 .01472 L
.70171 .01472 L
.70286 .01472 L
.70407 .01472 L
.70521 .01472 L
.70627 .01472 L
.70724 .01472 L
.7083 .01472 L
.70942 .01472 L
.71056 .01472 L
.71178 .01472 L
.71293 .01472 L
Mistroke
.71398 .01472 L
.71521 .01472 L
.7159 .01472 L
.71654 .01472 L
.71771 .01472 L
.71896 .01472 L
.72017 .01472 L
.72149 .01472 L
.72273 .01472 L
.72389 .01472 L
.72503 .01472 L
.72607 .01472 L
.72727 .01472 L
.7284 .01472 L
.72963 .01472 L
.73094 .01472 L
.73205 .01472 L
.73327 .01472 L
.73458 .01472 L
.73532 .01472 L
.73599 .01472 L
.7373 .01472 L
.73853 .01472 L
.73959 .01472 L
.74075 .01472 L
.74196 .01472 L
.7431 .01472 L
.74416 .01472 L
.74513 .01472 L
.74619 .01472 L
.74731 .01472 L
.74846 .01472 L
.74967 .01472 L
.75083 .01472 L
.75187 .01472 L
.7531 .01472 L
.75379 .01472 L
.75443 .01472 L
.75561 .01472 L
.75685 .01472 L
.75806 .01472 L
.75875 .01472 L
.75939 .01472 L
.76056 .01472 L
.7618 .01472 L
.7629 .01472 L
.76394 .01472 L
.76508 .01472 L
.76631 .01472 L
.76754 .01472 L
Mistroke
.76824 .01472 L
.76889 .01472 L
.7702 .01472 L
.77094 .01472 L
.77161 .01472 L
.7728 .01472 L
.7741 .01472 L
.77533 .01472 L
.77646 .01472 L
.77752 .01472 L
.77865 .01472 L
.77972 .01472 L
.7807 .01472 L
.78184 .01472 L
.78309 .01472 L
.78427 .01472 L
.78536 .01472 L
.7866 .01472 L
.78776 .01472 L
.7888 .01472 L
.78993 .01472 L
.79116 .01472 L
.79246 .01472 L
.79357 .01472 L
.79479 .01472 L
.7961 .01472 L
.7973 .01472 L
.79793 .01472 L
.79863 .01472 L
.79936 .01472 L
.80004 .01472 L
.80129 .01472 L
.80243 .01472 L
.80369 .01472 L
.80501 .01472 L
.80612 .01472 L
.80731 .01472 L
.80843 .01472 L
.80945 .01472 L
.81066 .01472 L
.81196 .01472 L
.81318 .01472 L
.81432 .01472 L
.81552 .01472 L
.81682 .01472 L
.81804 .01472 L
.81916 .01472 L
.82047 .01472 L
.8212 .01472 L
.82189 .01472 L
Mistroke
.82315 .01472 L
.82385 .01472 L
.82448 .01472 L
.82516 .01472 L
.82587 .01472 L
.82715 .01472 L
.82786 .01472 L
.82852 .01472 L
.82925 .01472 L
.83002 .01472 L
.8307 .01472 L
.83143 .01472 L
.83212 .01472 L
.83275 .01472 L
.83396 .01472 L
.83524 .01472 L
.83644 .01472 L
.83775 .01472 L
.839 .01472 L
.84015 .01472 L
.84129 .01472 L
.84232 .01472 L
.84352 .01472 L
.84464 .01472 L
.84587 .01472 L
.84718 .01472 L
.84829 .01472 L
.8495 .01472 L
.85082 .01472 L
.85155 .01472 L
.85222 .01472 L
.85353 .01472 L
.85476 .01472 L
.85581 .01472 L
.85697 .01472 L
.85818 .01472 L
.85932 .01472 L
.86037 .01472 L
.86134 .01472 L
.86241 .01472 L
.86353 .01472 L
.86467 .01472 L
.86589 .01472 L
.86704 .01472 L
.86808 .01472 L
.86931 .01472 L
.87 .01472 L
.87064 .01472 L
.87182 .01472 L
.87306 .01472 L
Mistroke
.87427 .01472 L
.87559 .01472 L
.87684 .01472 L
.87799 .01472 L
.87914 .01472 L
.88017 .01472 L
.88137 .01472 L
.88249 .01472 L
.88373 .01472 L
.88503 .01472 L
.88615 .01472 L
.88737 .01472 L
.88868 .01472 L
.88942 .01472 L
.89009 .01472 L
.89139 .01472 L
.89263 .01472 L
.89368 .01472 L
.89484 .01472 L
.89605 .01472 L
.89719 .01472 L
.89825 .01472 L
.89922 .01472 L
.90029 .01472 L
.90141 .01472 L
.90255 .01472 L
.90377 .01472 L
.90492 .01472 L
.90596 .01472 L
.90719 .01472 L
.90789 .01472 L
.90852 .01472 L
.9097 .01472 L
.91094 .01472 L
.91216 .01472 L
.91284 .01472 L
.91348 .01472 L
.91464 .01472 L
.91589 .01472 L
.91699 .01472 L
.91803 .01472 L
.91917 .01472 L
.9204 .01472 L
.92163 .01472 L
.92233 .01472 L
.92297 .01472 L
.92429 .01472 L
.92502 .01472 L
.92569 .01472 L
.92689 .01472 L
Mistroke
.92819 .01472 L
.92941 .01472 L
.93055 .01472 L
.9316 .01472 L
.93273 .01472 L
.9338 .01472 L
.93478 .01472 L
.93592 .01472 L
.93717 .01472 L
.93835 .01472 L
.93944 .01472 L
.94068 .01472 L
.94184 .01472 L
.94288 .01472 L
.94401 .01472 L
.94524 .01472 L
.94654 .01472 L
.94765 .01472 L
.94887 .01472 L
.94975 .01472 L
.95057 .01472 L
.95146 .01472 L
.95241 .01472 L
.95324 .01472 L
.95401 .01472 L
.95486 .01472 L
.95577 .01473 L
.95653 .01473 L
.95737 .01475 L
.95824 .01476 L
.95905 .01479 L
.95981 .01482 L
.9605 .01487 L
.9613 .01495 L
.96206 .01507 L
.96287 .01526 L
.96377 .01558 L
.96471 .01613 L
.96559 .01697 L
.96641 .01818 L
.96716 .01984 L
.96802 .02279 L
.96884 .02713 L
.96972 .03446 L
.97067 .04708 L
.97155 .0663 L
.97236 .09339 L
.97331 .14425 L
.97433 .23665 L
.9753 .3837 L
Mistroke
.97619 .60332 L
Mfstroke
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/A000`40O003h00Oogoo8Goo0017Ool3
000bOol3000`Ool2000cOol00`00Oomoo`0/Ool50002Ool00`00Oomoo`03Ool004Moo`03001oogoo
03=oo`03001oogoo02moo`03001oo`00035oo`03001oo`0002moo`07001oogooOol007oo000017oo
0018Ool00`00Oomoo`0`Ool4000`Ool00`00Ool0000aOol00`00Ool0000_Ool01`00Oomoogoo001o
o`0000Aoo`00B7oo00<007ooOol0<7oo00<007oo0000<Goo0P00<goo00<007ooOol0;Woo00L007oo
Oomoo`00Ool00004Ool004Moo`03001oo`00039oo`80035oo`03001oogoo035oo`03001oo`0002mo
o`07001oogooOol007oo000017oo0018Ool00`00Oomoo`0bOol00`00Oomoo`0`Ool2000bOol00`00
Oomoo`0]Ool20004Ool00`00Oomoo`03Ool00?moob5oo`005Goo00<007ooOol0ogoo2Goo000EOol0
0`00Oomoo`3oOol9Ool001Eoo`03001oogoo0?moo`Uoo`005Goo00<007ooOol0ogoo2Goo000?Oooo
000A0001Ool001Eoo`03001oogoo00Yoo`03001oogoo00Yoo`03001oogoo00Yoo`03001oogoo00Yo
o`03001oogoo00Yoo`03001oogoo00Yoo`03001oogoo00Yoo`03001oogoo00Yoo`03001oogoo00Yo
o`03001oogoo00Uoo`03001oogoo00Yoo`03001oogoo00Yoo`03001oogoo00Yoo`03001oogoo00Yo
o`03001oogoo00Yoo`03001oogoo00Yoo`03001oogoo00Yoo`03001oogoo00Yoo`03001oogoo00Yo
o`03001oogoo00Moo`04001oogoo0007Ool001Eoo`03001oogoo035oo`03001oogoo035oo`03001o
ogoo031oo`03001oogoo035oo`03001oogoo02moo`03001oo`0000Moo`005Goo00<007ooOol0oWoo
00<007ooOol01goo000EOol00`00Oomoo`3nOol00`00Oomoo`07Ool001Eoo`03001oogoo0?ioo`03
001oogoo00Moo`005Goo00<007ooOol0oWoo00<007ooOol01goo000EOol00`00Oomoo`3nOol00`00
Oomoo`07Ool001Eoo`800?moo`03001oogoo00Moo`005Goo00<007ooOol0oWoo00<007ooOol01goo
000EOol00`00Oomoo`3nOol00`00Oomoo`07Ool001Eoo`03001oogoo0?ioo`03001oogoo00Moo`00
5Goo00<007ooOol0ogoo00<007ooOol01Woo000EOol00`00Oomoo`3oOol00`00Oomoo`06Ool001Eo
o`03001oogoo0?moo`03001oogoo00Ioo`005Goo00<007ooOol0ogoo00<007ooOol01Woo000EOol2
003oOol1Ool00`00Oomoo`06Ool001Eoo`03001oogoo0?moo`03001oogoo00Ioo`005Goo00<007oo
Ool0ogoo00<007ooOol01Woo000EOol00`00Oomoo`3oOol00`00Oomoo`06Ool001Eoo`03001oogoo
0?moo`03001oogoo00Ioo`005Goo00<007ooOol0ogoo00<007ooOol01Woo000EOol00`00Oomoo`3o
Ool00`00Oomoo`06Ool001Eoo`03001oogoo0?moo`03001oogoo00Ioo`005Goo0P00ogoo0Goo00<0
07ooOol01Woo000EOol00`00Oomoo`3oOol00`00Oomoo`06Ool001Eoo`03001oogoo0?moo`03001o
ogoo00Ioo`005Goo00<007ooOol0ogoo00<007ooOol01Woo000EOol00`00Oomoo`3oOol00`00Oomo
o`06Ool001Eoo`03001oogoo0?moo`03001oogoo00Ioo`001Goo00<007ooOol00Woo00@007ooOomo
o`<000Aoo`03001oogoo0?moo`03001oogoo00Ioo`0017oo00<007oo00001goo00<007ooOol017oo
00<007ooOol0ogoo00<007ooOol01Woo0004Ool00`00Ool00008Ool00`00Oomoo`03Ool3003oOol0
0`00Oomoo`06Ool000Aoo`03001oo`0000Qoo`03001oogoo00=oo`03001oogoo0?moo`03001oogoo
00Ioo`0017oo00<007oo00001goo00<007oo000017oo00<007ooOol0ogoo00<007ooOol01Woo0005
Ool00`00Oomoo`07Ool00`00Oomoo`03Ool00`00Oomoo`3oOol00`00Oomoo`06Ool001Eoo`03001o
ogoo0?moo`03001oogoo00Ioo`005Goo00<007ooOol0ogoo00<007ooOol01Woo000EOol00`00Oomo
o`3oOol00`00Oomoo`06Ool001Eoo`03001oogoo0?moo`03001oogoo00Ioo`005Goo0P00ogoo0Goo
00<007ooOol01Woo000EOol00`00Oomoo`3oOol00`00Oomoo`06Ool001Eoo`03001oogoo0?moo`03
001oogoo00Ioo`005Goo00<007ooOol0ogoo00<007ooOol01Woo000EOol00`00Oomoo`3oOol00`00
Oomoo`06Ool001Eoo`03001oogoo0?moo`03001oogoo00Ioo`005Goo00<007ooOol0ogoo00<007oo
Ool01Woo000EOol00`00Oomoo`3oOol00`00Oomoo`06Ool001Eoo`800?moo`5oo`03001oogoo00Io
o`005Goo00<007ooOol0ogoo00<007ooOol01Woo000EOol00`00Oomoo`3oOol00`00Oomoo`06Ool0
01Eoo`03001oogoo0?moo`03001oogoo00Ioo`005Goo00<007ooOol0ogoo00<007ooOol01Woo000E
Ool00`00Oomoo`3oOol00`00Oomoo`06Ool001Eoo`03001oogoo0?moo`03001oogoo00Ioo`005Goo
00<007ooOol0ogoo00<007ooOol01Woo000EOol2003oOol1Ool00`00Oomoo`06Ool001Eoo`03001o
ogoo0?moo`03001oogoo00Ioo`005Goo00<007ooOol0ogoo00<007ooOol01Woo000EOol00`00Oomo
o`3oOol00`00Oomoo`06Ool001Eoo`03001oogoo0?moo`03001oogoo00Ioo`005Goo00<007ooOol0
ogoo00<007ooOol01Woo0005Ool00`00Oomoo`02Ool00`00Oomoo`02Ool30003Ool00`00Oomoo`3o
Ool00`00Oomoo`06Ool000Aoo`03001oo`0000Uoo`03001oogoo009oo`03001oogoo0?moo`03001o
ogoo00Ioo`0017oo00<007oo00001goo10000goo0`00ogoo00<007ooOol01Woo0004Ool00`00Ool0
0007Ool00`00Ool00004Ool00`00Oomoo`3oOol00`00Oomoo`06Ool000Aoo`03001oo`0000Qoo`80
00Aoo`03001oogoo0?moo`03001oogoo00Ioo`001Goo00<007ooOol027oo00<007ooOol00Woo00<0
07ooOol0ogoo00<007ooOol01Woo000EOol00`00Oomoo`3oOol00`00Oomoo`06Ool001Eoo`03001o
ogoo0?moo`03001oogoo00Ioo`005Goo00<007ooOol0ogoo00<007ooOol01Woo000EOol00`00Oomo
o`3oOol00`00Oomoo`06Ool001Eoo`800?moo`5oo`03001oogoo00Ioo`005Goo00<007ooOol0ogoo
00<007ooOol01Woo000EOol00`00Oomoo`3oOol00`00Oomoo`06Ool001Eoo`03001oogoo0?moo`03
001oogoo00Ioo`005Goo00<007ooOol0ogoo00<007ooOol01Woo000EOol00`00Oomoo`3oOol00`00
Oomoo`06Ool001Eoo`03001oogoo0?moo`03001oogoo00Ioo`005Goo00<007ooOol0ogoo00<007oo
Ool01Woo000EOol2003oOol1Ool00`00Oomoo`06Ool001Eoo`03001oogoo0?moo`5oo`03001oogoo
00Eoo`005Goo00<007ooOol0ogoo0Goo00<007ooOol01Goo000EOol00`00Oomoo`3oOol1Ool00`00
Oomoo`05Ool001Eoo`03001oogoo0?moo`5oo`03001oogoo00Eoo`005Goo00<007ooOol0ogoo0Goo
00<007ooOol01Goo000EOol00`00Oomoo`3oOol1Ool00`00Oomoo`05Ool001Eoo`03001oogoo0?mo
o`5oo`03001oogoo00Eoo`005Goo0P00ogoo0Woo00<007ooOol01Goo000EOol00`00Oomoo`3oOol1
Ool00`00Oomoo`05Ool001Eoo`03001oogoo0?moo`5oo`03001oogoo00Eoo`005Goo00<007ooOol0
ogoo0Goo00<007ooOol01Goo000EOol00`00Oomoo`3oOol1Ool00`00Oomoo`05Ool001Eoo`03001o
ogoo0?moo`5oo`03001oogoo00Eoo`001Goo00<007ooOol00Woo00@007ooOomoo`8000Eoo`03001o
ogoo0?moo`5oo`03001oogoo00Eoo`0017oo00<007oo00001goo00<007oo000017oo00<007ooOol0
ogoo0Goo00<007ooOol01Goo0004Ool00`00Ool00007Ool00`00Ool00004Ool3003oOol1Ool00`00
Oomoo`05Ool000Aoo`03001oo`0000Moo`8000Eoo`03001oogoo0?moo`5oo`03001oogoo00Eoo`00
17oo00<007oo00001goo00<007ooOol017oo00<007ooOol0ogoo0Goo00<007ooOol01Goo0005Ool0
0`00Oomoo`07Ool20004Ool00`00Oomoo`3oOol1Ool00`00Oomoo`05Ool001Eoo`03001oogoo0?mo
o`5oo`03001oogoo00Eoo`005Goo00<007ooOol0ogoo0Goo00<007ooOol01Goo000EOol00`00Oomo
o`3oOol1Ool00`00Oomoo`05Ool001Eoo`03001oogoo0?moo`5oo`03001oogoo00Eoo`005Goo0P00
ogoo0Woo00<007ooOol01Goo000EOol00`00Oomoo`3oOol1Ool00`00Oomoo`05Ool001Eoo`03001o
ogoo0?moo`5oo`03001oogoo00Eoo`005Goo00<007ooOol0ogoo0Goo00<007ooOol01Goo000EOol0
0`00Oomoo`3oOol1Ool00`00Oomoo`05Ool001Eoo`03001oogoo0?moo`5oo`03001oogoo00Eoo`00
5Goo00<007ooOol0ogoo0Goo00<007ooOol01Goo000EOol00`00Oomoo`3oOol1Ool00`00Oomoo`05
Ool001Eoo`800?moo`9oo`03001oogoo00Eoo`005Goo00<007ooOol0ogoo0Goo00<007ooOol01Goo
000EOol00`00Oomoo`3oOol1Ool00`00Oomoo`05Ool001Eoo`03001oogoo0?moo`5oo`03001oogoo
00Eoo`005Goo00<007ooOol0ogoo0Goo00<007ooOol01Goo000EOol00`00Oomoo`3oOol1Ool00`00
Oomoo`05Ool001Eoo`03001oogoo0?moo`5oo`03001oogoo00Eoo`005Goo00<007ooOol0ogoo0Goo
00<007ooOol01Goo000EOol2003oOol2Ool00`00Oomoo`05Ool001Eoo`03001oogoo0?moo`5oo`03
001oogoo00Eoo`005Goo00<007ooOol0ogoo0Goo00<007ooOol01Goo000EOol00`00Oomoo`3oOol1
Ool00`00Oomoo`05Ool001Eoo`03001oogoo0?moo`5oo`03001oogoo00Eoo`005Goo00<007ooOol0
ogoo0Goo00<007ooOol01Goo0005Ool00`00Oomoo`02Ool00`00Oomoo`02Ool00`00Oomoo`03Ool0
0`00Oomoo`3oOol1Ool00`00Oomoo`05Ool000Aoo`03001oo`0000Moo`03001oo`0000Aoo`03001o
ogoo0?moo`5oo`03001oogoo00Eoo`0017oo00<007oo00001goo00<007oo000017oo0`00ogoo0Goo
00<007ooOol01Goo0004Ool00`00Ool00008Ool00`00Oomoo`03Ool00`00Oomoo`3oOol1Ool00`00
Oomoo`05Ool000Aoo`03001oo`0000Moo`03001oo`0000Aoo`03001oogoo0?moo`5oo`03001oogoo
00Eoo`001Goo00<007ooOol01goo00<007ooOol00goo00<007ooOol0ogoo0Goo00<007ooOol01Goo
000EOol00`00Oomoo`3oOol1Ool00`00Oomoo`05Ool001Eoo`03001oogoo0?moo`5oo`03001oogoo
00Eoo`005Goo00<007ooOol0ogoo0Goo00<007ooOol01Goo000EOol00`00Oomoo`3oOol1Ool00`00
Oomoo`05Ool001Eoo`800?moo`9oo`03001oogoo00Eoo`005Goo00<007ooOol0ogoo0Goo00<007oo
Ool01Goo000EOol00`00Oomoo`3oOol1Ool00`00Oomoo`05Ool001Eoo`03001oogoo0?moo`5oo`03
001oogoo00Eoo`005Goo00<007ooOol0ogoo0Goo00<007ooOol01Goo000EOol00`00Oomoo`3oOol1
Ool00`00Oomoo`05Ool001Eoo`03001oogoo0?moo`5oo`03001oogoo00Eoo`005Goo00<007ooOol0
ogoo0Goo00<007ooOol01Goo000EOol2003oOol2Ool00`00Oomoo`05Ool001Eoo`03001oogoo0?mo
o`5oo`03001oogoo00Eoo`005Goo00<007ooOol0ogoo0Goo00<007ooOol01Goo000EOol00`00Oomo
o`3oOol1Ool00`00Oomoo`05Ool001Eoo`03001oogoo0?moo`5oo`03001oogoo00Eoo`005Goo00<0
07ooOol0ogoo0Goo00<007ooOol01Goo000EOol00`00Oomoo`3oOol1Ool00`00Oomoo`05Ool001Eo
o`03001oogoo0?moo`5oo`03001oogoo00Eoo`005Goo0P00ogoo0Woo00<007ooOol01Goo000EOol0
0`00Oomoo`3oOol1Ool00`00Oomoo`05Ool001Eoo`03001oogoo0?moo`5oo`03001oogoo00Eoo`00
5Goo00<007ooOol0ogoo0Goo00<007ooOol01Goo000EOol00`00Oomoo`3oOol1Ool00`00Oomoo`05
Ool001Eoo`03001oogoo0?moo`5oo`03001oogoo00Eoo`003Goo1@000goo00<007ooOol0ogoo0Goo
00<007ooOol01Goo000?Ool00`00Oomoo`03Ool00`00Oomoo`3oOol1Ool00`00Oomoo`05Ool000mo
o`03001oogoo00=oo`<00?moo`5oo`03001oogoo00Eoo`003goo00<007ooOol00goo00<007ooOol0
ogoo2Goo000?Ool00`00Oomoo`03Ool00`00Oomoo`3oOol9Ool000ioo`8000Eoo`03001oogoo0?mo
o`Uoo`005Goo00<007ooOol0ogoo2Goo0000\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-0.82995, -0.0774694, 
  0.0386185, 0.00624848}}]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 1152}, {0, 808}},
WindowSize->{659, 706},
WindowMargins->{{2, Automatic}, {Automatic, 5}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1709, 49, 55, 1, 22, "Input"],
Cell[1767, 52, 54, 1, 24, "Input"],
Cell[1824, 55, 119, 2, 35, "Input"],
Cell[1946, 59, 40, 0, 26, "Text"],

Cell[CellGroupData[{
Cell[2011, 63, 78, 1, 22, "Input"],
Cell[2092, 66, 15526, 476, 185, 4670, 337, "GraphicsData", 
"PostScript", "Graphics"]
}, Open  ]],
Cell[17633, 545, 93, 1, 35, "Input"],

Cell[CellGroupData[{
Cell[17751, 550, 80, 1, 22, "Input"],
Cell[17834, 553, 12637, 399, 185, 4079, 289, "GraphicsData", 
"PostScript", "Graphics"]
}, Open  ]],
Cell[30486, 955, 70, 1, 22, "Input"],
Cell[30559, 958, 320, 7, 32, "Input"],

Cell[CellGroupData[{
Cell[30904, 969, 30, 0, 46, "Section"],

Cell[CellGroupData[{
Cell[30959, 973, 72, 1, 32, "Input"],
Cell[31034, 976, 239, 6, 42, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[31310, 987, 72, 1, 32, "Input"],
Cell[31385, 990, 175, 6, 42, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[31609, 1002, 35, 0, 46, "Section"],
Cell[31647, 1004, 27, 0, 26, "Text"],

Cell[CellGroupData[{
Cell[31699, 1008, 68, 1, 22, "Input"],
Cell[31770, 1011, 243, 6, 42, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[32050, 1022, 65, 1, 22, "Input"],
Cell[32118, 1025, 161, 6, 42, "Output"]
}, Open  ]],
Cell[32294, 1034, 27, 0, 26, "Text"],

Cell[CellGroupData[{
Cell[32346, 1038, 67, 1, 22, "Input"],
Cell[32416, 1041, 175, 6, 42, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[32628, 1052, 67, 1, 22, "Input"],
Cell[32698, 1055, 175, 6, 42, "Output"]
}, Open  ]],
Cell[32888, 1064, 50, 1, 35, "Input"],

Cell[CellGroupData[{
Cell[32963, 1069, 185, 4, 50, "Input"],
Cell[33151, 1075, 104, 2, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[33292, 1082, 79, 1, 30, "Input"],
Cell[33374, 1085, 26079, 1230, 186, 17292, 1117, "GraphicsData", 
"PostScript", "Graphics"]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

